VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsPoints"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private colPoints As Collection


Public Function Add(PointArray As Variant, _
                                        Optional ByVal PositionIsAbsolute As Boolean) As clsPointAttributes

Dim p As New clsPointAttributes

    With p
        .PointArray = PointArray
        .PositionIsAbsolute = PositionIsAbsolute
    End With
    colPoints.Add p
    Set Add = p
    CQueue.Add objTypePoint, Count
End Function

Public Property Get Count() As Integer
    Count = colPoints.Count
End Property

Public Property Get Item(ByVal Index As Integer) As clsPointAttributes
Attribute Item.VB_UserMemId = 0
    Set Item = colPoints.Item(Index)
End Property

Private Sub Class_Initialize()
    Set colPoints = New Collection
End Sub

Private Sub Class_Terminate()
    Set colPoints = Nothing
End Sub
